# SDPCryptoSuite Class Reference

`#include <sdp.h>`

## Public Member Functions

| SDPCryptoSuite (unsigned tag)
bool | SetKeyInfo (const OpalMediaCryptoKeyInfo &keyInfo)
OpalMediaCryptoKeyInfo * | GetKeyInfo () const
bool | Decode (const PString &attrib)
void | PrintOn (ostream &strm) const
unsigned | GetTag () const
const PString & | GetName () const

## Protected Attributes

unsigned | m_tag
PString | m_suiteName
list< KeyParam > | m_keyParams
PStringOptions | m_sessionParams

## Data Structures

struct | KeyParam

## Constructor & Destructor Documentation

SDPCryptoSuite::SDPCryptoSuite | ( | unsigned | tag | ) |

## Member Function Documentation

bool SDPCryptoSuite::Decode | ( | const PString & | attrib | ) |

OpalMediaCryptoKeyInfo* SDPCryptoSuite::GetKeyInfo | ( |  | ) | const

const PString& SDPCryptoSuite::GetName | ( |  | ) | const`[inline]`

unsigned SDPCryptoSuite::GetTag | ( |  | ) | const`[inline]`

void SDPCryptoSuite::PrintOn | ( | ostream & | strm | ) | const

bool SDPCryptoSuite::SetKeyInfo | ( | const OpalMediaCryptoKeyInfo & | keyInfo | ) |

## Field Documentation

list<KeyParam> SDPCryptoSuite::m_keyParams `[protected]`

PStringOptions SDPCryptoSuite::m_sessionParams `[protected]`

PString SDPCryptoSuite::m_suiteName `[protected]`

unsigned SDPCryptoSuite::m_tag `[protected]`

The documentation for this class was generated from the following file:

- sdp.h